Subject: Re: [PATCH net-next 1/2] nfp: initialize netdev's dev_port with correct id

From: Jakub Kicinski <[email-masked]>
Date: Wed, 29 Mar 2023 20:10:29 -0700

On Thu, 30 Mar 2023 02:52:22 +0000 Yinjun Zhang wrote:
> > Yes, but phys_port_name is still there, and can be used, right?
> > So why add another attr?  
> 
> Yes, phys_port_name is still there. But some users prefer to use dev_port.
> I don't add this new attr, it's already existed since 
> 3f85944fe207 ("net: Add sysfs file for port number").
> I just make the attr's value correct.

You're using a different ID than phys_port_name, as far as I can tell :(
When the port is not split will id == label, always?